
#ifndef GCFG_ASET_H
#define GCFG_ASET_H

/* ----------------------------------------------------------------------
  (c) 2011 Geodetic Observatory Pecny, http://www.pecny.cz (gnss@pecny.cz)
      Research Institute of Geodesy, Topography and Cartography
      Ondrejov 244, 251 65, Czech Republic

  Purpose: implements settings for RTCM/RINEX navigation messages CC & QC tool
  Version: $ Rev: $

  2014-07-30 /JD: created

-*/

//#include <map>
//#include <vector>
//#include <string>
//#include <sstream>
//#include <cstring>
//#include <iomanip>
#include <iostream>
#include <stdlib.h>
#include <signal.h>
//#include <algorithm>

#if defined __linux__
#include <pthread.h>
#endif

#include "gio/gio.h"
#include "gio/glog.h"
#include "gio/gfile.h"
#include "gall/gallobj.h"
#include "gall/gallobs.h"
#include "gcoders/gcoder.h"
#include "gcoders/rinexn.h"
#include "gcoders/rinexo.h"
#include "gcoders/rinexo2.h"
#include "gcoders/rinexo3.h"
//#include "gcoders/rtcmdata.h"
//#include "gcoders/rtcmprod.h"
//#include "gcoders/rtcm2data.h"

#include "gset/gsetinp.h"
#include "gset/gsetout.h"
#include "gset/gsetrec.h"
#include "gset/gsetgen.h"

using namespace std;
using namespace pugi;

namespace gnut {

class t_gcfg_aset : public t_gsetgen,
                    public t_gsetinp,
                    public t_gsetout,
                    public t_gsetrec
{

 public:
   t_gcfg_aset();
  ~t_gcfg_aset();

   void check();                                 // settings check
   void help();                                  // settings help

 protected:

 private:

};

} // namespace

#endif